/**************************************************************************************************
	$Header: /pub/cvsroot/mydns/src/util/util.h,v 1.2 2002/07/19 04:27:18 bboy Exp $

	Copyright (C) 2002  Don Moore <bboy@bboy.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at Your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**************************************************************************************************/

#ifndef _MYDNS_UTIL_DIR_H
#define _MYDNS_UTIL_DIR_H

#include "mydnsutil.h"
#include "../mydns/bits.h"
#include "../mydns/header.h"
#include "mydns.h"


extern CONF *Conf;												/* Configuration data */
extern MYSQL *mysql;												/* MySQL connection */


extern void load_config(void);
extern void db_connect(void);
extern u_int32_t sqlnum(const char *, ...) __printflike(1,2);


#endif /* !_MYDNS_UTIL_DIR_H */

/* vi:set ts=3: */
